GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List prompts GETAdd prompts POSTGet prompt insights GETBulk update prompts POSTTag prompts POSTSet prompt topics POSTUpdate prompt PATCH
Prompts

Bulk update prompts POST

Change the type, intent, location or enabled state of prompts, or delete them.

Set prompt topics POST

Add topics to or remove topics from several prompts, leaving their other topics.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Prompts

Tag prompts

POST
/brands/{brandId}/prompts/tags

Add tags to or remove tags from several prompts, leaving their other tags.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
ids*array<>
Items1 <= items <= 100
tagIds*array<>
Items1 <= items <= 50
action*string
Value in"add""remove"

Response Body

Tags added to or removed from every listed prompt of the brand

Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompts/tags' \  -H 'Content-Type: application/json' \  -d '{  "ids": [    "6e0346a3-e54d-40e3-9779-4ba1e707e35b"  ],  "tagIds": [    "9c99701b-f191-4642-8bc0-e04053f29131"  ],  "action": "add"}'
Example Response
Empty

Bulk update prompts POST

Change the type, intent, location or enabled state of prompts, or delete them.

Set prompt topics POST

Add topics to or remove topics from several prompts, leaving their other topics.

Start free trial
Start free trial
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompts/tags' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "6e0346a3-e54d-40e3-9779-4ba1e707e35b"
  ],
  "tagIds": [
    "9c99701b-f191-4642-8bc0-e04053f29131"
  ],
  "action": "add"
}'